Bug 101639 - Crashes with Promise FastTrak 100 TX and Maxtor ATA133
Crashes with Promise FastTrak 100 TX and Maxtor ATA133
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-04 20:04 EDT by David Yerger
Modified: 2007-04-18 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-15 18:42:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Yerger 2003-08-04 20:04:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030624

Description of problem:
Problem originally manifested scp'ing a >3GB file on LAN, 
lately occurs during booting, every time.

Changed BIOS to latest Promise BIOS, no change.

Changed controller with FastTrak 100 TX2, no change.

Changed controller with FastTrak 33, works fine.

Am running one software RAID 1 device over two drives,
and using two other partitions not in RAID between the two, all formatted ext3.

Hang usually occurs right after red "Red Hat. . . I for interactive
startup" prompt.  Sometimes a couple of lines afterward.

With the FastTrak 33, at that point get "Spurious 8259A Interrupt 7" error, but
boot continues OK.

IBM/Hitachi drive advanced diagnostics with Ultra 133 TX2 passes with flying
colors, so I don't think it's a hardware problem.  Does not seem temperature
related either.



Version-Release number of selected component (if applicable):
Maxtor BIOS 2.20.0050.10, Promise BIOS 2.20.0.15

How reproducible:
Always

Steps to Reproduce:
1. Try to boot (I am using boot floppy with 2.4.20-18.4)


    

Actual Results:  Locks up solid at point mentioned above.  Power switch won't do
anything, have to hardware reset or disconnect power.

Expected Results:  Boots

Additional info:

Tried nmi_watchdog options, no oops reported at hang.

Apparently nothing gets logged to syslog, even though
file system for /var (and basically everything else) is mounted on 
a couple of SCSI drives with software RAID.

I've subbed out power supply, processor, motherboard, controller, cables,
everything except for the drives (which test good)
Comment 1 Mike A. Harris 2004-04-15 18:42:15 EDT
Red Hat Linux 7.2 is no longer supported by Red Hat.  Please try
upgrading to a newer OS release that is currently supported, such
as Fedora Core 1 or Red Hat Enterprise Linux 3, and if the problem
still occurs, feel free to file a new bug report.

Thanks.

Closing as CURRENTRELEASE
Comment 2 Trevor Cordes 2004-11-24 17:22:13 EST
Perhaps reopen this bug?  I just ran into a situation where I had 2
linux software RAID5 drives go flakey within a day of eachother.  To
try to recover data I am doing a dd from a flakey drive to a new
drive.  The flakey drive has multiple bad sectors and causes many
syslog errors.

Here's the interesting part: if the flakey drive is plugged into my
Promise PDC20268 Ultra100 TX2 IDE controller, it freezes the entire
system when dd hits certain sectors on the drive.

If the flakey drive is plugged into the motherboard (Intel E7205)
controller then error messages are generated but the system does not
freeze (the correct behaviour).

I reproduced the problem a number of times (probably 20+) trying to
get the data off before I put the drive onto the mobo instead.

I'm using the latest FC3 with kernel-2.6.9-1.667

Symptom: complete system freeze
Expected: errors logged, but no freeze

Log right before complete freeze is below.  I tried turning off the
DMA in the config files and rebooting and after that I wouldn't get
dma errors and the bus wouldn't try to reset -- the system would just
freeze or output a drive error then freeze.

Nov 24 00:00:10 pog kernel: hdg: dma_intr: status=0x51 { DriveReady
SeekComplete Error }
Nov 24 00:00:10 pog kernel: hdg: dma_intr: error=0x01 {
AddrMarkNotFound }, LBAsect=212833983, high=12, low=11507391,
sector=212833896
Nov 24 00:00:10 pog kernel: ide: failed opcode was: unknown
Nov 24 00:00:12 pog kernel: hdg: dma_intr: status=0x51 { DriveReady
SeekComplete Error }
Nov 24 00:00:12 pog kernel: hdg: dma_intr: error=0x01 {
AddrMarkNotFound }, LBAsect=212833983, high=12, low=11507391,
sector=212833896
Nov 24 00:00:12 pog kernel: ide: failed opcode was: unknown
Nov 24 00:00:12 pog kernel: hdg: DMA disabled
Nov 24 00:00:12 pog kernel: PDC202XX: Secondary channel reset.
Nov 24 00:00:12 pog kernel: ide3: reset: success

Note You need to log in before you can comment on or make changes to this bug.